<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Browse banned email
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Browse Email");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Banned Emails");

if ($pf == "delete") {
	if (isset($email)) {
		zero::DeleteBanned($email,1);
	}
}
elseif ($pf == "add") {
	if (!zero::IsEmpty("email", $lang['a_empty_email']))
		zero::IsEmailFormatted("email", $lang['a_email_not_formatted']);
	if (!zero::IsError()) {
		zero::AddBanned($email,1);
		zero::Redirect("banned_email.php");
	}
	else {
	  $smarty_tpl->assign("errors", $errors);
	  $smarty_tpl->assign("email", $email);
	}
}

if (!is_numeric($limit) || empty($limit))
	$limit = 25;

$request = $_SERVER[QUERY_STRING];
$num_emails = count(zero::GetBannedEmails($search_words, $order1, $order2));
if (!isset($offset) || $offset < 0 || $offset >= $num_emails)
  $offset = 0;
$emails = zero::GetBannedEmails($search_words, $order1, $order2, $offset, $limit);

$smarty_tpl->assign("emails", $emails);
$pagination	= zero::GetPagination("banned_email.php", $request, $num_emails, $offset, $limit);
if (count($emails))
	if ($num_emails / count($emails) > 1)
		$smarty_tpl->assign("pagination", $pagination);
$smarty_tpl->assign("search_words", $search_words);
$order1_options = array(0=>"&nbsp;",
												"email"=>"Email",
												);
$order2_options = array ("asc"=>"Ascending", "desc"=>"Descending");
$smarty_tpl->assign("order1_options", $order1_options);
$smarty_tpl->assign("order1", $order1?$order1:0);
$smarty_tpl->assign("order2_options", $order2_options);
$smarty_tpl->assign("order2", $order2);
$smarty_tpl->assign("limit", $limit);
$smarty_tpl->assign("offset", $offset);

$smarty_tpl->assign("page_sub_title", "- Banned Emails");
zero::DisplayStaff("banned_email.tpl");
?>
