<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Add user
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Add User");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "User - add user");

$time_zone_options 	= zero::GetTimeZoneOptions();
$language_options 	= zero::GetLanguageOptions();
$smarty_tpl->assign("time_zone_options", $time_zone_options);
$smarty_tpl->assign("time_zone_id", $time_zone?$time_zone:date("Z"));
$smarty_tpl->assign("language_options", $language_options);
$smarty_tpl->assign("language_id", $language?$language:1);
zero::SetUserCustomField();

if ($pf == "add") {
	zero::IsEmpty("name", $lang['a_empty_name']);
	if (!zero::IsEmpty("email", $lang['a_empty_email']))
		zero::IsEmailFormatted("email", $lang['a_email_not_formatted']);
	zero::IsEmptyUserCustomFields();
	if (zero::IsError())
	  EndScript();
	if (!zero::CheckUserValidity($email, 0))
	  EndScript();
 	$customfields = zero::GetGPCCustomFields();
 	$password = zero::CreatePassword(5);
	$user_id = zero::AddUser($name, $email, $password, $language, $time_zone, $customfields);
	zero::Redirect("user_add.php?user_id={$user_id}&pf=confirm");
}
elseif ($pf == "confirm")
  GetConfirmation($user_id);

$smarty_tpl->assign("page_sub_title", "- Add User");
zero::DisplayStaff("user_add.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $name, $email, $password, $is_disabled;

	$smarty_tpl->assign("name", htmlentities($name));
	$smarty_tpl->assign("email", htmlentities($email));
	$smarty_tpl->assign("errors", $errors);
	zero::SetUserCustomField(true);
	$smarty_tpl->assign("page_sub_title", "- Add User");
	zero::DisplayStaff("user_add.tpl");
	exit;
}

function GetConfirmation($user_id) {
  global $smarty_tpl;
  
	$user = zero::GetUser($user_id);
	if (!$user)
		zero::Redirect("user_browse.php");
	if (time() - $user['date_registered'] > 300)
	  zero::Redirect("user_browse.php");
	$customfields = zero::GetUserCustomFields($user_id, false);
	$smarty_tpl->assign("user", $user);
	$smarty_tpl->assign("customfields", $customfields);
	$smarty_tpl->assign("confirmation", "user_created");
	$smarty_tpl->assign("page_sub_title", "- Add User");
	zero::DisplayStaff("confirmation.tpl");
	exit;
}

?>
