<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - User setting
// |-------------------------------------------------------------|
require_once("init.php");
require_once("lang/{$cur_lg_folder}/user_setting.php");

if (!zero::IsUserLoggedIn())
	zero::Redirect("index.php");
zero::StartSession("Setting User");
$user = zero::GetUser($_COOKIE['DESKTINY_USER_ID']);

$smarty_tpl->assign("main_page","user_setting");

if ($pf == "update") {
	zero::IsEmpty("name", $lang['a_empty_name']);
	if (!zero::IsEmpty("email", $lang['a_empty_email']))
		zero::IsEmailFormatted("email", $lang['a_email_not_formatted']);
	if (!zero::CheckUserValidity($email))
	  EndScript();
	zero::IsEmptyUserCustomFields();
	if (trim($old_password) != "" || trim($new_password) != "" || trim($confirm_password) != "") {
	  zero::IsEmpty("old_password", $lang['a_empty_old_password']);
	  zero::IsEmpty("new_password", $lang['a_empty_new_password']);
	  zero::IsEmpty("confirm_password", $lang['a_empty_confirm_password']);
		if (zero::IsError())
		  EndScript();
		if ($old_password != $user['password']) {
		  $errors[] = $lang['a_old_password_invalid'];
		  EndScript();
		}
		if (strlen($new_password) < 5)
		  $errors[] = $lang['a_5_char_password'];
		if ($new_password != $confirm_password)
			$errors[] = $lang['a_not_equal_confirm_password'];
	}
	if (zero::IsError())
	  EndScript();
	$customfields = zero::GetGPCCustomFields();
	if (!$language)
	  $language = $setting['default_lang'];
	zero::UpdateUserSetting($user_id, $name, $email, $language, $time_zone, $new_password, $customfields);
	zero::Redirect("user_setting.php?user_id={$user_id}&pf=confirm");
}
elseif ($pf == "confirm") {
	GetConfirmation($user_id);
}

$smarty_tpl->assign("user", $user);
$user['name'] = htmlentities($user['name']);
$user['email'] = htmlentities($user['email']);
$smarty_tpl->assign("time_zone_options", zero::GetTimeZoneOptions());
$smarty_tpl->assign("language_options", zero::GetLanguageOptions());
zero::SetUserCustomFieldEdit($user['user_id']);
zero::DisplayFront("user_setting.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $user, $name, $email, $time_zone, $language, $old_password, $new_password, $confirm_password;

	$user = zero::GetUser($_COOKIE['DESKTINY_USER_ID']);
	$user['name'] = htmlentities($name);
	$user['email'] = htmlentities($email);
	$user['time_zone'] = $time_zone;
	$user['language_id'] = $language;
	$smarty_tpl->assign("user", $user);
	$smarty_tpl->assign("time_zone_options", zero::GetTimeZoneOptions());
	$smarty_tpl->assign("language_options", zero::GetLanguageOptions());
	$smarty_tpl->assign("old_password", $old_password);
	$smarty_tpl->assign("new_password", $new_password);
	$smarty_tpl->assign("confirm_password", $confirm_password);
	$smarty_tpl->assign("errors", $errors);
	zero::SetUserCustomField(true);
	zero::DisplayFront("user_setting.tpl");
	exit;
}

function GetConfirmation($user_id) {
	global $smarty_tpl;

	$user = zero::GetUser($user_id);
	if (!$user)
		zero::Redirect("user_setting.php");
	if (time() - $user['date_updated'] > 300)
	  zero::Redirect("user_setting.php");
	$customfields = zero::GetUserCustomFields($user_id, false);
	$smarty_tpl->assign("user", $user);
	$smarty_tpl->assign("customfields", $customfields);
	$smarty_tpl->assign("confirmation", "user_setting");
	zero::DisplayFront("confirmation.tpl");
	exit;
}


?>
