<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Edit priority
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}
if (!zero::IsStaffAdmin()) {
	echo "Page cannot be access. Only admin.<br/><a href=\"index.php\">Home</a>";
	exit;
}

zero::StartSession("Edit Priority");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Ticket Priority - edit priority");

if (!zero::IsPriorityExist($priority_id))
	zero::Redirect("priority_browse.php");

if ($pf == "update") {
	zero::IsEmpty("name", $lang['a_empty_name']);
	if (zero::IsError())
	  EndScript();
	zero::UpdatePriority($priority_id, $name, $description,1);
	$smarty_tpl->assign("success", 1);
}
$priority = zero::GetPriority($priority_id);
ShowData();
$smarty_tpl->assign("page_sub_title", "- Edit Ticket Priority ( {$priority['name']} )");
zero::DisplayStaff("priority_edit.tpl");

function ShowData() {
	global $smarty_tpl, $priority_id, $priority;

  $smarty_tpl->assign("priority_langs", zero::GetPriorityOtherLang($priority_id));
	$priority['name'] = htmlentities($priority['name']);
	$priority['description'] = htmlentities($priority['description']);
	$smarty_tpl->assign("priority", $priority);
	$smarty_tpl->assign("priority_id", $priority_id);
}

function EndScript() {
	global $smarty_tpl, $errors;
	global $name, $description, $priority_id;

	$priority = zero::GetPriority($priority_id);
	$priority['name'] = htmlentities($name);
	$priority['description'] = htmlentities($description);
	$smarty_tpl->assign("priority", $priority);
  $smarty_tpl->assign("priority_langs", zero::GetPriorityOtherLang($priority_id));
	$smarty_tpl->assign("priority_id", $priority_id);
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("page_sub_title", "- Edit Ticket Priority ( {$name} )");
	zero::DisplayStaff("priority_edit.tpl");
	exit;
}

?>
