<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Edit user
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Edit User");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "User - edit user");

if (!zero::IsUserExist($user_id))
	zero::Redirect("user_browse.php");

if ($pf == "update") {
	zero::IsEmpty("name", $lang['a_empty_name']);
	if (!zero::IsEmpty("email", $lang['a_empty_email']))
		zero::IsEmailFormatted("email", $lang['a_email_not_formatted']);
  zero::IsEmpty("password", $lang['a_empty_password']);
	if (strlen($password) < 5)
	  $errors[] = $lang['a_5_char_password'];
	zero::IsEmptyUserCustomFields();
	if (zero::IsError())
	  EndScript();
	if (!zero::CheckUserValidity($email, $user_id))
	  EndScript();
  $customfields = zero::GetGPCCustomFields();
	zero::UpdateUser($user_id, $name, $email, $password, $language, $time_zone, $is_disabled, $disabled_reason, $customfields);
	$smarty_tpl->assign("success", 1);
}
elseif ($pf == "delete") {
	zero::DeleteUser($user_id);
	zero::Redirect("user_browse.php");
}

$user = zero::GetUser($user_id);
ShowData();
$smarty_tpl->assign("page_sub_title", "- Edit User ( {$user['email']} )");
zero::DisplayStaff("user_edit.tpl");

function ShowData() {
	global $smarty_tpl, $user_id, $user;

	$smarty_tpl->assign("time_zone_options", zero::GetTimeZoneOptions());
	$smarty_tpl->assign("language_options", zero::GetLanguageOptions());
	$user['name'] = htmlentities($user['name']);
	$user['email'] = htmlentities($user['email']);
	zero::SetUserCustomFieldEdit($user_id);
	$smarty_tpl->assign("user", $user);
	$smarty_tpl->assign("user_id", $user_id);
}

function EndScript() {
	global $smarty_tpl, $errors;
	global $name, $email, $password, $user_id;

	$smarty_tpl->assign("time_zone_options", zero::GetTimeZoneOptions());
	$smarty_tpl->assign("language_options", zero::GetLanguageOptions());
	$user = zero::GetUser($user_id);
	$user['name'] = htmlentities($name);
	$user['email'] = htmlentities($email);
	$user['password'] = $password;
	$smarty_tpl->assign("user", $user);
	$smarty_tpl->assign("user_id", $user_id);
	zero::SetUserCustomField(true);
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("page_sub_title", "- Edit User ( {$user['email']} )");
	zero::DisplayStaff("user_edit.tpl");
	exit;
}

?>
